Customer Participation
Required feature: **customers/detail**
Section:
Group Customer Participation. Base URL:https://instance_name.meiro.io/api/.
Customer Destinations [/customers/{customer_entity_id}/destinations{?limit,offset}]
List All Customer Destinations [GET]
Required feature: customers/detail
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"customer_destinations": [
{
"destination_id": 1001,
"destination_name": "Facebook"
}
],
"selection_settings": {
"limit": null,
"offset": null
},
"total_count": 1
}Customer Segments [/customers/{customer_entity_id}/segments{?limit,offset}]
List All Customer Segments [GET]
Required feature: customers/detail
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"customer_segment": [
{
"segment_id": 100,
"segment_name": "example segment",
"segment_type": "custom"
}
],
"selection_settings": {
"limit": 10,
"offset": null
},
"total_count": 1
}